Name:           python-atomate2
Version:        0.0.19
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        atomate2 is a library of materials science workflows

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/atomate2/
Source:         %{pypi_source atomate2}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'atomate2' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-atomate2
Summary:        %{summary}

%description -n python3-atomate2 %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-atomate2 abinit,amset,ase,ase-ext,cclib,defects,dev,docs,fireworks,forcefields,lobster,mp,openmm,phonons,strict,strict-forcefields,tests


%prep
%autosetup -p1 -n atomate2-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x abinit,amset,ase,ase-ext,cclib,defects,dev,docs,fireworks,forcefields,lobster,mp,openmm,phonons,strict,strict-forcefields,tests


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-atomate2 -f %{pyproject_files}


%changelog
%autochangelog